import { DependencyContainer } from "tsyringe";
import { IPostAkiLoadMod } from "@spt-aki/models/external/IPostAkiLoadMod";
import { IPostDBLoadMod } from "@spt-aki/models/external/IPostDBLoadMod";
import { DatabaseServer } from "@spt-aki/servers/DatabaseServer";
		
class Mod implements IPostAkiLoadMod, IPostDBLoadMod 
{
    container: DependencyContainer;

    public postAkiLoad(container: DependencyContainer): void 
    {
        this.container = container;
    }

    public postDBLoad(container: DependencyContainer): void 
    {
        const databaseServer = container.resolve<DatabaseServer>("DatabaseServer");
        const tables = databaseServer.getTables();

        const item = "5857a8bc2459772bad15db29",
            price = 500000;

        const mechanic = tables.traders["5a7c2eca46aef81a7ca2145d"];

        mechanic.assort.items.push({
            "_id": item,
            "_tpl": item,
            "parentId": "hideout",
            "slotId": "hideout",
            "upd":
      {
          "UnlimitedCount": false,
          "StackObjectsCount": 1
      }
        });
        mechanic.assort.barter_scheme[item] = [
            [
                {
                    "count": 1,
                    "_tpl": "544a11ac4bdc2d470e8b456a" 
                },
                {
                    "count": 1,
                    "_tpl": "59db794186f77448bc595262" 
                },
                {
                    "count": 1,
                    "_tpl": "5d0376a486f7747d8050965c" 
                },
                {
                    "count": 1,
                    "_tpl": "619cbfeb6b8a1b37a54eebfa" 
                },
                {
                    "count": 5,
                    "_tpl": "59faff1d86f7746c51718c9c" 
                }

            ]
        ];
        mechanic.assort.loyal_level_items[item] = 4;
    }
}

module.exports = { mod: new Mod() }